--- \cvs\pgsql\src\backend\main\main.c	Thu Jun 20 20:29:29 2002
+++ \cvs\pgsql.nw\src\backend\main\main.c	Tue Aug 06 18:41:56 2002
@@ -89,6 +89,11 @@
 	beos_startup(argc, argv);
 #endif
 
+#ifdef N_PLAT_NLM
+	/* NetWare-specific actions on startup */
+     NWInit(argc, argv);
+#endif /* N_PLAT_NLM */
+
 	/*
 	 * Not-quite-so-platform-specific startup environment checks. Still
 	 * best to minimize these.
@@ -160,7 +165,7 @@
 		 * BeOS currently runs everything as root :-(, so this check must be
 		 * temporarily disabled there...
 		 */
-#ifndef __BEOS__
+#if !defined(__BEOS__) && !defined(N_PLAT_NLM)
 		if (geteuid() == 0)
 		{
 			fprintf(stderr, gettext(
@@ -171,7 +176,7 @@
 									));
 			exit(1);
 		}
-#endif   /* __BEOS__ */
+#endif   /* __BEOS__ && N_PLAT_NLM */
 
 		/*
 		 * Also make sure that real and effective uids are the same.
@@ -203,6 +208,15 @@
 		/* Called as "postmaster" */
 		exit(PostmasterMain(argc, new_argv));
 	}
+
+	/*
+	 * If the first argument is "-post", then invoke postmaster mode. Note
+	 * we remove "-post" from the arguments passed on to BootstrapMain.
+     * This is added for one reasons: NetWare doesn't have symbolic links
+     * right. ((
+	 */
+	if (argc > 1 && strcmp(new_argv[1], "-post") == 0)
+		exit(PostmasterMain(argc - 1, new_argv + 1));
 
 	/*
 	 * If the first argument is "-boot", then invoke bootstrap mode. Note
